﻿@media only screen and (min-width: 1024px) {
    #map {
    width: 100%;
    height: 700px;
}
}
@media (min-width: 768px) and (max-width: 1024px) {
    #map {
    width: 100%;
    height: 400px;
}
}


.geo-location-wrapper {
    position: relative;
    z-index: 1;
    width: 100%;
}

    .geo-location-wrapper:hover .text {
        filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
        opacity: 1;
        right: 50px;
        pointer-events: none;
    }

    .geo-location-wrapper .btn {
        background-color: #fff;
        color: #39B54A;
        position: absolute;
        right: 0px;
        top: 0px;
        width: 38px;
    }

        .geo-location-wrapper .btn:hover {
            background-color: #fff;
            color: #1396e2;
        }

    .geo-location-wrapper .fa {
        font-size: 20px;
    }

    .geo-location-wrapper .text {
        filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
        opacity: 0;
        -moz-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.2);
        -webkit-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.2);
        box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.2);
        -moz-transition: 0.4s;
        -webkit-transition: 0.4s;
        transition: 0.4s;
        color: #fff;
        background-color: #073855;
        padding: 10px;
        position: absolute;
        right: 40px;
        text-align: right;
        top: 0;
        pointer-events: none;
    }

        .geo-location-wrapper .text:after {
            width: 0;
            height: 0;
            content: "";
            border-style: solid;
            border-width: 4px 0 4px 4px;
            border-color: transparent transparent transparent #073855;
            position: absolute;
            top: 0;
            right: -4px;
            bottom: 0;
            margin: auto;
        }





.marker-style {
    font-family: FontAwesome;
    border: 3px solid #39B54A;
    text-align: center;
    width: 34px;
    height: 34px;
    border-radius: 50%;
    margin-left: -17px !important;
    margin-top: -46px !important;
}

.marker-style::before {
    content: "\f1b9";
    line-height: 28px;
}

.marker-style img {
    position: absolute !important;
    top: -1px !important;
    bottom: 0px !important;
    right: 0px;
    left: 0px;
    margin: auto !important;
}

.infobox-wrapper > img {
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=50);
    opacity: 0.5;
    -moz-transition: 0.4s;
    -webkit-transition: 0.4s;
    transition: 0.4s;
    position: absolute !important;
    right: 8px;
    top: 13px;
    z-index: 2;
}

    .infobox-wrapper > img:hover {
        filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
        opacity: 1;
    }

.buttons_map, .rating_map {
    text-align: center;

}



.infobox-wrapper .infobox-inner {
    -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
    -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
    background: #fff;
    border-top: 6px solid #39B54A;
    font-size: 12px;
    position: relative;
    margin-bottom: 50px;
    min-width: 200px;

}


    .infobox-wrapper .infobox-inner:after {
        width: 0px;
        height: 0px;
        border-style: solid;
        border-width: 6px 6px 0 6px;
        border-color: #fff transparent transparent transparent;
        position: absolute;
        left: 95px;
        content: "";
        bottom: -6px;
    }

    .infobox-wrapper .infobox-inner .infobox-image {
        width: 250px;
        height: auto;
        overflow: hidden;
        position: relative;
    }

        /*.infobox-wrapper .infobox-inner .infobox-image:after {
            background: -moz-linear-gradient(top, transparent 50%, rgba(0, 0, 0, 0.75) 100%);
            background: -webkit-gradient(linear, left top, left bottom, color-stop(50%, transparent), color-stop(100%, rgba(0, 0, 0, 0.75)));
            background: -webkit-linear-gradient(top, transparent 50%, rgba(0, 0, 0, 0.75) 100%);
            background: -o-linear-gradient(top, transparent 50%, rgba(0, 0, 0, 0.75) 100%);
            background: -ms-linear-gradient(top, transparent 50%, rgba(0, 0, 0, 0.75) 100%);
            background: linear-gradient(to bottom, transparent 50%, rgba(0, 0, 0, 0.75) 100%);
            filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 );
            display: block;
            content: "";
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
        }*/

        .infobox-wrapper .infobox-inner .infobox-image img {
            width: 100%;
        }

        .infobox-wrapper .infobox-inner .infobox-image .infobox-price {
            -moz-border-radius: 2px;
            -webkit-border-radius: 2px;
            border-radius: 2px;
            -moz-box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.3);
            -webkit-box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.3);
            box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.3);
            background-color: #1396e2;
            color: #fff;
            font-size: 14px;
            font-weight: bold;
            padding: 3px 7px;
            position: absolute;
            bottom: 8px;
            left: 8px;
            z-index: 2;
        }

    .infobox-wrapper .infobox-inner .infobox-title {
        font-size: 20px;
        font-weight: bold;
        text-align: center;
    }

        .infobox-wrapper .infobox-inner .infobox-title a {
            color: #2A3942;
        }

    .infobox-wrapper .infobox-inner .infobox-description {
        padding: 8px;
    }

    .infobox-wrapper .infobox-inner .infobox-location {
        filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=50);
        opacity: 0.5;
        font-size: 12px;
    }

    .infobox-wrapper .infobox-inner .fa {
        color: #1396e2;
        float: right;
        font-size: 18px;
        margin-top: 4px;
    }

.marker-hover {
    opacity: .5;
}


@media screen and (max-width: 768px) {
    .geo-location-wrapper .btn {
        right: 45% !important;
    }
}